summaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
Diffstat (limited to 'package')
-rw-r--r--package/ntfs-3g/Makefile2
-rw-r--r--package/ntfs-3g/files/ntfs3g.init13
2 files changed, 14 insertions, 1 deletions
diff --git a/package/ntfs-3g/Makefile b/package/ntfs-3g/Makefile
index a0f3502de..cbe0cef79 100644
--- a/package/ntfs-3g/Makefile
+++ b/package/ntfs-3g/Makefile
@@ -5,7 +5,7 @@ include ${TOPDIR}/rules.mk
PKG_NAME:= ntfs-3g
PKG_VERSION:= 2014.2.15
-PKG_RELEASE:= 2
+PKG_RELEASE:= 4
PKG_MD5SUM:= f11d563816249d730a00498983485f3a
PKG_DESCR:= ntfs filesystem driver using fuse
PKG_SECTION:= fs
diff --git a/package/ntfs-3g/files/ntfs3g.init b/package/ntfs-3g/files/ntfs3g.init
new file mode 100644
index 000000000..5f9164036
--- /dev/null
+++ b/package/ntfs-3g/files/ntfs3g.init
@@ -0,0 +1,13 @@
+#!/bin/sh
+#INIT 20
+[[ $1 = autostart ]] || exit 0
+
+# mount ntfs-3g filesystems
+grep fuse /proc/filesystems >/dev/null 2>&1
+if [ $? -eq 0 ];then
+ grep -v "^#" /etc/fstab |grep ntfs-3g >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mount -a -t ntfs-3g
+ fi
+fi
+exit 0